#include "my_lib.h"
 
convform str2array(char *stringa){

    convform sup;
    int i;

    sup.lenght = strlen(stringa);
    sup.array = (int *)malloc(sup.lenght*sizeof(int));

    for(i=0;i<sup.lenght;++i){
        sup.array[i] = (int)(stringa[i]);
    }

    return sup;
}



void Cpdlaprnt(int *m, int *n, double *a, int *ia, int *ja, int *desca, int *irprnt, int *icprnt, char *cmatnm, int *nout, double *work){

    convform sup;

    sup = str2array(cmatnm);

    wrapperc2f_( m, n, a, ia, ja, desca, irprnt, icprnt, &sup.lenght, sup.array, nout, work);
    
}
